OpenUSB Developers Guide
Prev |  | Next

# `openusb_le16_to_cpu,openusb_le32_to_cpu`

## Name

`openusb_le16_to_cpu,openusb_le32_to_cpu` -- Convert data from little endian to CPU byte order.

## Synopsis

``uint16_t openusb_le16_to_cpu`(uint16_t data );`

``uint32_t openusb_le32_to_cpu`(uint32_t data );`

## Parameters

`data` - To be converted data.

## Description

`openusb_le16_to_cpu()` converts one Word (2bytes) of data from little endian order to CPU byte order.

`openusb_cpu_to_le32` converts a Dword(4bytes) data from little endian order to CPU order.

## Return Value

The return value is converted data.

## See Also

Prev | Home | Next
`openusb_cpu_to_le16,openusb_cpu_to_le32` | Up | Examples